org.bootchart.parser.linux

## Class ProcStatParser

- java.lang.Object
- - org.bootchart.parser.linux.ProcStatParser

-     public class ProcStatParser
      extends java.lang.Object

  ProcStatParser parses log files produced by logging the output of `/proc/stat`. The samples contain information about CPU times: user, nice, system and idle; 2.6 kernels also include io_wait, irq and softirq.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcStatParser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Stats` | `parseLog(java.io.InputStream is)` Parses the `proc_stat.log` file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcStatParser

          public ProcStatParser()

  - ### Method Detail

    - #### parseLog

          public static Stats parseLog(java.io.InputStream is)
                                throws java.io.IOException

      Parses the `proc_stat.log` file. The output from `/proc/stat` is used to collect the CPU statistics.
      Parameters:
        `is` - the input stream to read from
      Returns:
        CPU statistics (`CPUSample` samples)
      Throws:
        `java.io.IOException` - if an I/O error occurs